qpid::framing::Uuid Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::framing::Uuid Struct Reference

A UUID is represented as a boost::array of 16 bytes. More...

`#include <qpid/framing/Uuid.h>`

List of all members.

## Public Member Functions
| Uuid (bool unique=false)
| If unique is true, generate a unique ID else a null ID.
| Uuid (const uint8_t *data)
| Copy from 16 bytes of data.
void | assign (const uint8_t *data)
| Copy from 16 bytes of data.
void | generate ()
| Set to a new unique identifier.
void | clear ()
| Set to all zeros.
bool | isNull () const
| Test for null (all zeros).
QPID_COMMON_INLINE_EXTERN | operator bool () const
QPID_COMMON_INLINE_EXTERN bool | operator! () const
void | encode (framing::Buffer &buf) const
void | decode (framing::Buffer &buf)
QPID_COMMON_INLINE_EXTERN uint32_t | encodedSize () const
std::string | str () const
| String value in format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.
template<class S >
void | serialize (S &s)

## Detailed Description

A UUID is represented as a boost::array of 16 bytes.

Full value semantics, operators ==, < etc. are provided by boost::array so Uuid can be the key type in a map etc.

TODO: change this implementation as it leaks boost into the client API

## Constructor & Destructor Documentation

qpid::framing::Uuid::Uuid | ( | bool | unique = `false` | ) |

If unique is true, generate a unique ID else a null ID.

qpid::framing::Uuid::Uuid | ( | const uint8_t * | data | ) |

Copy from 16 bytes of data.

## Member Function Documentation

void qpid::framing::Uuid::assign | ( | const uint8_t * | data | ) |

Copy from 16 bytes of data.

void qpid::framing::Uuid::clear | ( |  | ) |

Set to all zeros.

void qpid::framing::Uuid::decode | ( | framing::Buffer & | buf | ) |

void qpid::framing::Uuid::encode | ( | framing::Buffer & | buf | ) | const

QPID_COMMON_INLINE_EXTERN uint32_t qpid::framing::Uuid::encodedSize | ( |  | ) | const`[inline]`

Definition at line 70 of file Uuid.h.

void qpid::framing::Uuid::generate | ( |  | ) |

Set to a new unique identifier.

bool qpid::framing::Uuid::isNull | ( |  | ) | const

Test for null (all zeros).

Referenced by operator bool(), and operator!().

QPID_COMMON_INLINE_EXTERN qpid::framing::Uuid::operator bool | ( |  | ) | const`[inline]`

Definition at line 65 of file Uuid.h.

References isNull().

QPID_COMMON_INLINE_EXTERN bool qpid::framing::Uuid::operator! | ( |  | ) | const`[inline]`

Definition at line 66 of file Uuid.h.

References isNull().

template<class S >

void qpid::framing::Uuid::serialize | ( | S & | s | ) | `[inline]`

Definition at line 76 of file Uuid.h.

std::string qpid::framing::Uuid::str | ( |  | ) | const

String value in format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.

Referenced by qpid::console::UuidValue::str().

The documentation for this struct was generated from the following file:

- qpid/framing/Uuid.h